Summary:	Bitcoin is a peer-to-peer currency
Name:		bitcoin
Version:	0.8.6
Release:	1
License:	MIT/X11
Group:		X11/Applications
Source0:	https://github.com/bitcoin/bitcoin/archive/v%{version}.tar.gz
# Source0-md5:	f4be4961903657c7e3e216b35dc90f04
URL:		http://www.bitcoin.org
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	boost-devel
BuildRequires:	db-cxx-devel
BuildRequires:	miniupnpc-devel >= 1.5
BuildRequires:	openssl-devel
BuildRequires:	qrencode-devel
BuildRequires:	qt4-qmake
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bitcoin is a peer-to-peer currency. Peer-to-peer means that no central
authority issues new money or tracks transactions. These tasks are
managed collectively by the network.

%package qt
Summary:	Qt-based Bitcoin Wallet
Group:		X11/Applications

%description qt
Qt-based Bitcoin Wallet.

%prep
%setup -q

%build
qmake-qt4 \
	USE_UPNP=1 \
	USE_DBUS=1 \
	USE_QRCODE=1

%{__make}

%{__make} -C src -f makefile.unix \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} %{rpmcxxflags} %{rpmcppflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name},%{_mandir}/man{1,5},%{_localedir},%{_desktopdir},%{_pixmapsdir},%{_datadir}/kde4/services}

install src/bitcoind $RPM_BUILD_ROOT%{_bindir}
install bitcoin-qt $RPM_BUILD_ROOT%{_bindir}
install contrib/debian/bitcoin-qt.desktop $RPM_BUILD_ROOT%{_desktopdir}
install contrib/debian/bitcoin-qt.protocol $RPM_BUILD_ROOT%{_datadir}/kde4/services
install share/pixmaps/bitcoin{32,64,128,256}.png $RPM_BUILD_ROOT%{_pixmapsdir}

install contrib/debian/manpages/bitcoind.1 $RPM_BUILD_ROOT%{_mandir}/man1
install contrib/debian/manpages/bitcoin.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.txt contrib/debian/examples/bitcoin.conf
%attr(755,root,root) %{_bindir}/bitcoind
%{_mandir}/man1/bitcoind.1*
%{_mandir}/man5/bitcoin.conf.5*

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bitcoin-qt
%{_datadir}/kde4/services/bitcoin-qt.protocol
%{_desktopdir}/bitcoin-qt.desktop
%{_pixmapsdir}/bitcoin*.png
%changelog
* Tue Dec 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bitcoin.git;a=log;h=master

* Tue Dec 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cc522e
- up to 0.8.6

* Sat Sep 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b54dc70
- up to 0.8.5

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> fde3f41
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> e603b76
- release 2 (by relup.sh)

* Wed Jun 26 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> bf874d6
- up to 0.8.3

* Thu May 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7133116
- up to 0.8.2

* Tue Apr 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 55ac948
- rel 2; install bitcoind, too; put qt wallet into separate subpackage

* Fri Apr 19 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cda9ff8
- up to 0.8.1

* Thu May 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 74ff7c8
- added -boost.patch and -nostatic.patch
- builds, but needs wxWidgets 2.9 (DEVEL branch)

* Thu May 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4419242
- don't build static binary

* Thu May 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> a34ea80
- fixes build with new boost

* Wed May 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ffb1fc
- initial/raw

